puppet_ca parameter made available for unmanaged hosts

02/12/2015 11:51 AM - Chris Pisano

Status: Closed   

Priority: Normal   

Assignee: julien ippolito   

Category: External Nodes   

Target version: 1.10.1   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3039

  

Description

Right now in order for the puppet_ca parameter to be made available unattended needs to be set to true and a host needs to be

managed. Is it possible to change the check to allow the puppet_ca parameter to be made available for unmanaged hosts as well?

Related issues:

Has duplicate Foreman - Feature #13060: Missing puppetca in YAML parameters Duplicate 01/08/2016

Associated revisions

Revision f095f89d - 01/11/2016 09:38 AM - julien IPPOLITO 

fixes #9359 - display puppetca in yaml always when a puppetca is configured

Revision b9ee40b1 - 01/19/2016 09:18 AM - julien IPPOLITO 

fixes #9359 - display puppetca in yaml always when a puppetca is configured

(cherry picked from commit f095f89d5c6b15aab6ee2394fd30637b06287b5c)

History

#1 - 02/12/2015 11:52 AM - Dominic Cleal

- Category set to External Nodes

- Difficulty set to easy

#2 - 06/12/2015 10:38 AM - Chris Pisano

After reaching out in #theforeman-dev it seems like line 357 in

https://github.com/theforeman/foreman/blob/develop/app/models/host/managed.rb#L357

would need to be moved outside of the if block and placed where param["puppetmaster"] is. According to lines 53 - 62 in

https://github.com/theforeman/foreman/blob/develop/app/helpers/hosts_and_hostgroups_helper.rb#L53-L62

puppet_ca is only enabled if there is a proxy with the CA feature enabled. It seems like we wouldn't want puppet_ca to be displayed if it wasn't

enabled. I'm not sure what to do with line 357 in managed.rb since :unattended doesn't seem to have a relation to the ca proxy feature.

#3 - 01/08/2016 04:53 AM - Dominic Cleal

- Has duplicate Feature #13060: Missing puppetca in YAML parameters added

#4 - 01/08/2016 02:45 PM - Chris Pisano

- Assignee set to Chris Pisano

#5 - 01/09/2016 05:13 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3039 added
https://github.com/theforeman/foreman/blob/develop/app/models/host/managed.rb#L357
https://github.com/theforeman/foreman/blob/develop/app/helpers/hosts_and_hostgroups_helper.rb#L53-L62


#6 - 01/11/2016 09:39 AM - Dominic Cleal

- Assignee changed from Chris Pisano to julien ippolito

- translation missing: en.field_release set to 104

#7 - 01/11/2016 10:05 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f095f89d5c6b15aab6ee2394fd30637b06287b5c.
